%define name gnaughty
%define version 1.2.4
%define release %mkrel 1

Summary:        Downloader for adult content
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Networking/WWW
License:        GPLv2+
URL:            http://gnaughty.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:    libglade2.0_0-devel
BuildRequires:    gtk2-devel
BuildRequires:    GConf2-devel
BuildRequires:    libcurl-devel
BuildRequires:    pcre-devel
BuildRequires:    desktop-file-utils
Obsoletes: %{name} < %version



%description
Application to download automatically adult content, i.e. movies and 
pictures, from a known internet directory.


%prep
%setup -q

sed -i 's|Icon=%{name}.png|Icon=%{name}|g' %{name}.desktop
sed -i 's|Comment=Porn downloader|Comment=Downloader for adult content|g' %{name}.desktop


%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std 
desktop-file-install --vendor="" \
     --add-category="X-MandrivaLinux-Internet-FileTransfer" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 644 %{name}.png %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
install -m 644 %{name}.png %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
install -m 644 %{name}.png %{buildroot}%_liconsdir/%{name}.png

%define schemas %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus
%post_install_gconf_schemas %schemas


%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_menus


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Tue May 18 2010 slick50 <lxgator@gmail.com> 1.2.4-1pclos2010
- 1.2.4

* Wed Jan 13 2010 slick50 <lxgator@gmail.com> 1.2.2-1pclos2010
- 1.2.2

* Wed Nov 04 2009 slick50 <lxgator@gmail.com> 1.2.0-1pclos2010
- initial build
